package com.crm.manager.dao.repository;

import com.crm.rely.backend.core.pojo.table.SysReasonsRefusalTable;
import com.crm.rely.backend.dao.repository.BaseRepository;
import org.springframework.data.jpa.repository.Lock;
import org.springframework.stereotype.Repository;

import javax.persistence.LockModeType;
import java.util.List;


@Repository
public interface SysReasonsRefusalRepository extends BaseRepository<SysReasonsRefusalTable> {

    @Lock(LockModeType.PESSIMISTIC_WRITE)
    SysReasonsRefusalTable findFirstById(Long id);

    SysReasonsRefusalTable getFirstById(Long id);

    List<SysReasonsRefusalTable> getFirstByIdIn(List<Long> ids);

    @Lock(LockModeType.PESSIMISTIC_WRITE)
    List<SysReasonsRefusalTable> findAllByIdIn(List<Long> ids);
}
